%define elv_git_hash 20170721.5c779ca

Name: ifmetric
Version: 0.3
Release: %elv_git_hash.elv.alt1

Summary: Tool for setting the metrics of IPv4 routes
License: GPLv2
URL: https://github.com/mshuler/ifmetric
Group: Networking/Other

Source: %name-%version-%elv_git_hash.tar.gz
Patch0: ifmetric_packet-too-small_fix.patch
Patch1: ifmetric_netlink-invalid-arg.patch

%description
ifmetric is a Linux tool for setting the metrics of all IPv4 routes
attached to a given network interface at once. This may be used to
change the priority of routing IPv4 traffic over the interface. Lower
metrics correlate with higher priorities.

%prep
%setup -n %name
%patch0 -p1
%patch1 -p1

%build
%configure --disable-lynx --disable-xmltoman
%make_build

%install
%makeinstall_std

%files
%_sbindir/*
%_mandir/man?/*

%changelog
* Wed Dec 7 2022 Max Romanov <mromanov@elvees.com>
 - Initial spec file created.
